Bug 1174278 - kernel-firmware-amdgpu 20200702 breaks video on Picasso
kernel-firmware-amdgpu 20200702 breaks video on Picasso
Status: NEW
: 1174277 1174281 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal with 5 votes (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-18 20:54 UTC by Adam Reichold
Modified: 2022-01-07 13:25 UTC (History)
8 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo?


Attachments
GZippped output of YaST's hardware information module (286.45 KB, application/gzip)
2020-07-18 20:54 UTC, Adam Reichold
Details
After latest upgrade given Picasso graphics starts with nomodeset only (86.32 KB, text/plain)
2020-10-14 21:57 UTC, Andras Szerencses
Details
Before the latest upgrade given Picasso graphics was working fine (90.50 KB, text/plain)
2020-10-14 22:10 UTC, Andras Szerencses
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Reichold 2020-07-18 20:54:18 UTC
Created attachment 839828 [details]
GZippped output of YaST's hardware information module

Update kernel-firmware-amdgpu from 20200610-1.1 to 20200702-1.1 breaks video on a HP ProBook 455R G6 containing an AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx, i.e. AMD Raven Ridge.

The problem manifests itself as a blank screen when the boot splash would be displayed and continuously spinning system fan. The machine is unresponsive when reaching this state, i.e. escape and sysrq keys are not working.

Downgrading just the kernel-firwmare-amdgpu packages works around the issue.

There is one kernel log message only visible with the new firmware:

kernel: amdgpu 0000:05:00.0: [drm:amdgpu_ib_ring_tests [amdgpu]] *ERROR* IB test failed on gfx (-110).
Comment 1 Maximilian Trummer 2020-07-18 23:24:30 UTC
*** Bug 1174277 has been marked as a duplicate of this bug. ***
Comment 2 Maximilian Trummer 2020-07-18 23:27:24 UTC
I got the same issue with a 3500U in a Lenovo T495. I marked my earlier bug as dupe of this one cause this seems to have identified the cause and provides more detail.
It's Picasso though, not Raven Ridge.
Comment 3 Maximilian Trummer 2020-07-18 23:30:58 UTC
As a workaround, I also held back kernel-firmware-amdgpu, though I also kept all other firmware packages at their old version.

With this, TW 20200716 works for now.
Comment 4 Takashi Iwai 2020-07-19 08:10:07 UTC
*** Bug 1174281 has been marked as a duplicate of this bug. ***
Comment 5 Takashi Iwai 2020-07-19 08:12:18 UTC
Can anyone report the regression to upstream?  e.g. on gitlab.freedesktop.org issues.
Comment 6 Adam Reichold 2020-07-19 11:32:19 UTC
(In reply to Takashi Iwai from comment #5)
> Can anyone report the regression to upstream?  e.g. on
> gitlab.freedesktop.org issues.

Reported upstream at https://gitlab.freedesktop.org/drm/amd/-/issues/1229
Comment 7 Takashi Iwai 2020-07-19 20:32:43 UTC
Thanks!

I'm building the updated kernel-firmware package including the revert of amdgpu in OBS home:tiwai:branches:Kernel:HEAD repo.  Please give it a try later to confirm that the revert works properly.
(Check the rpm changelog before testing; I committed the updated package without the revert at first.)
Comment 8 Maximilian Trummer 2020-07-20 13:43:23 UTC
I installed the kernel-firmware-amdgpu package from your repo now

>https://download.opensuse.org/repositories/home:/tiwai:/branches:/Kernel:/HEAD/standard/noarch/

>kernel-firmware-amdgpu-20200716-325.1.noarch.rpm

Everything works so far, including
- hardware video decoding
- 3D application with OpenGL
- external monitor
Comment 9 Takashi Iwai 2020-07-20 13:54:42 UTC
Thanks for quick testing.  Now I submitted the package to FACTORY.

I'll keep my branch package for a while until it reaches to TW.  Or the equivalent package is found in OBS Kernel:HEAD repo, too.
Comment 10 Takashi Iwai 2020-08-11 11:16:04 UTC
Now AMD released a new firmware, and now I'm processing the update of kernel-firmware package accordingly.

Can anyone test later the package in OBS home:tiwai:branches:Kernel:HEAD, and confirm whether this AMDGPU problem is addressed in the new firmware or not?
The package is being built, and the new package version number should be 20200807.  Thanks!
Comment 11 Adam Reichold 2020-08-11 15:57:20 UTC
(In reply to Takashi Iwai from comment #10)
> Now AMD released a new firmware, and now I'm processing the update of
> kernel-firmware package accordingly.
> 
> Can anyone test later the package in OBS home:tiwai:branches:Kernel:HEAD,
> and confirm whether this AMDGPU problem is addressed in the new firmware or
> not?
> The package is being built, and the new package version number should be
> 20200807.  Thanks!

I am sad to report that using both kernel 5.7.11 as well as 5.8.0 and the updated firmware mentioned above changed the behavior observably. I still ended up with a blank screen and a spinning system fan instead of the boot splash and could only boot by setting modprobe.blacklist=amdgpu. 

P.S.: I did install only the kernel-firmware-amdgpu package instead of kernel-firmware-all and its dependencies but I do not think this is relevant for the outcome here.
Comment 12 Adam Reichold 2020-08-11 15:58:36 UTC
(In reply to Adam Reichold from comment #11)
> firmware mentioned above changed the behavior observably.

I am sorry, I meant to say "did _not_ change the behavior observably".
Comment 13 Takashi Iwai 2020-08-11 16:16:55 UTC
Thanks for a quick check!

Could you check which amdgpu firmware file got loaded?  Boot with the option "firmware_class.dyndbg=+p", and you'll see the actions taken by the firmware loader in dmesg output.

I'd rather revert only limited set of amdgpu firmware at this time.
Comment 14 Takashi Iwai 2020-08-11 16:17:48 UTC
Also, it'd be appreciated if you can update the upstream gitlab issue accordingly.
Comment 15 Adam Reichold 2020-08-11 18:18:36 UTC
(In reply to Takashi Iwai from comment #13)
> Thanks for a quick check!
> 
> Could you check which amdgpu firmware file got loaded?  Boot with the option
> "firmware_class.dyndbg=+p", and you'll see the actions taken by the firmware
> loader in dmesg output.
> 
> I'd rather revert only limited set of amdgpu firmware at this time.

Here are the relevant log entries using the old versions of the firmware files:

Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_gpu_info.bin fw_priv=0000000025a5895c
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_gpu_info.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_gpu_info.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_gpu_info.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_gpu_info.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_gpu_info.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_gpu_info.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_gpu_info.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_gpu_info.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_gpu_info.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_gpu_info.bin fw_priv=0000000025a5895c data=00000000d73dbaae size=316
Aug 11 20:13:54 adamsnb kernel: amdgpu: ATOM BIOS: SWBRT48929.001
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_sdma.bin fw_priv=00000000cd0bf631
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_sdma.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_sdma.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_sdma.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_sdma.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_sdma.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_sdma.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_sdma.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_sdma.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_sdma.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_sdma.bin fw_priv=00000000cd0bf631 data=00000000484785fe size=17408
Aug 11 20:13:54 adamsnb kernel: [drm] VCN decode is enabled in VM mode
Aug 11 20:13:54 adamsnb kernel: [drm] VCN encode is enabled in VM mode
Aug 11 20:13:54 adamsnb kernel: [drm] JPEG decode is enabled in VM mode
Aug 11 20:13:54 adamsnb kernel: [drm] vm size is 262144 GB, 4 levels, block size is 9-bit, fragment size is 9-bit
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: VRAM: 256M 0x000000F400000000 - 0x000000F40FFFFFFF (256M used)
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: GART: 1024M 0x0000000000000000 - 0x000000003FFFFFFF
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: AGP: 267419648M 0x000000F800000000 - 0x0000FFFFFFFFFFFF
Aug 11 20:13:54 adamsnb kernel: [drm] Detected VRAM RAM=256M, BAR=256M
Aug 11 20:13:54 adamsnb kernel: [drm] RAM width 128bits DDR4
Aug 11 20:13:54 adamsnb kernel: [TTM] Zone  kernel: Available graphics memory: 8027370 KiB
Aug 11 20:13:54 adamsnb kernel: [TTM] Zone   dma32: Available graphics memory: 2097152 KiB
Aug 11 20:13:54 adamsnb kernel: [TTM] Initializing pool allocator
Aug 11 20:13:54 adamsnb kernel: [TTM] Initializing DMA pool allocator
Aug 11 20:13:54 adamsnb kernel: [drm] amdgpu: 256M of VRAM memory ready
Aug 11 20:13:54 adamsnb kernel: [drm] amdgpu: 3072M of GTT memory ready.
Aug 11 20:13:54 adamsnb kernel: [drm] GART: num cpu pages 262144, num gpu pages 262144
Aug 11 20:13:54 adamsnb kernel: [drm] PCIE GART of 1024M enabled (table at 0x000000F400900000).
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_asd.bin fw_priv=00000000026affba
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_asd.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_asd.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_asd.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_asd.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_asd.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_asd.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_asd.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_asd.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_asd.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_asd.bin fw_priv=00000000026affba data=0000000041839ab0 size=147968
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_ta.bin fw_priv=00000000f26bcb0c
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_ta.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_ta.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_ta.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_ta.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_ta.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_ta.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_ta.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_ta.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_ta.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_ta.bin fw_priv=00000000f26bcb0c data=00000000b01b5aeb size=29440
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_pfp.bin fw_priv=0000000003a566fa
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_pfp.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_pfp.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_pfp.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_pfp.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_pfp.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_pfp.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_pfp.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_pfp.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_pfp.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_pfp.bin fw_priv=0000000003a566fa data=000000005d58d40d size=21632
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_me.bin fw_priv=000000006c6c0554
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_me.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_me.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_me.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_me.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_me.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_me.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_me.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_me.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_me.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_me.bin fw_priv=000000006c6c0554 data=00000000dd04de60 size=17536
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_ce.bin fw_priv=00000000afc232fa
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_ce.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_ce.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_ce.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_ce.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_ce.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_ce.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_ce.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_ce.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_ce.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_ce.bin fw_priv=00000000afc232fa data=00000000e14f23dd size=9344
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_rlc.bin fw_priv=0000000033a38f5d
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_rlc.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_rlc.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_rlc.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_rlc.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_rlc.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_rlc.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_rlc.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_rlc.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_rlc.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_rlc.bin fw_priv=0000000033a38f5d data=00000000f6601ea9 size=39140
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_mec.bin fw_priv=000000005628fbc0
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_mec.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_mec.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_mec.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_mec.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_mec.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_mec.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_mec.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_mec.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_mec.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_mec.bin fw_priv=000000005628fbc0 data=00000000bebcef03 size=268048
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_mec2.bin fw_priv=00000000f46fd4ce
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_mec2.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_mec2.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_mec2.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_mec2.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_mec2.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_mec2.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_mec2.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_mec2.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_mec2.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_mec2.bin fw_priv=00000000f46fd4ce data=00000000aacdf450 size=268048
Aug 11 20:13:54 adamsnb kernel: amdgpu: hwmgr_sw_init smu backed is smu10_smu
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/raven_dmcu.bin fw_priv=000000001da7dd8f
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/raven_dmcu.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/raven_dmcu.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/raven_dmcu.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/raven_dmcu.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/raven_dmcu.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/raven_dmcu.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/raven_dmcu.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/raven_dmcu.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/raven_dmcu.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/raven_dmcu.bin fw_priv=000000001da7dd8f data=0000000061565cea size=23264
Aug 11 20:13:54 adamsnb kernel: firmware_class: __allocate_fw_priv: fw-amdgpu/picasso_vcn.bin fw_priv=00000000e1be48b2
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_vcn.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_vcn.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_vcn.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/amdgpu/picasso_vcn.bin failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/5.8.0-1-default/amdgpu/picasso_vcn.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/updates/amdgpu/picasso_vcn.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: loading /lib/firmware/5.8.0-1-default/amdgpu/picasso_vcn.bin.xz failed for no such file or directory.
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: Loading firmware from /lib/firmware/amdgpu/picasso_vcn.bin.xz
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: f/w decompressing amdgpu/picasso_vcn.bin
Aug 11 20:13:54 adamsnb kernel: firmware_class: fw_set_page_data: fw-amdgpu/picasso_vcn.bin fw_priv=00000000e1be48b2 data=00000000bf61692e size=355264
Aug 11 20:13:54 adamsnb kernel: [drm] Found VCN firmware Version ENC: 1.9 DEC: 1 VEP: 0 Revision: 28
Aug 11 20:13:54 adamsnb kernel: [drm] PSP loading VCN firmware
Aug 11 20:13:54 adamsnb kernel: [drm] reserve 0x400000 from 0xf40fc00000 for PSP TMR
Aug 11 20:13:54 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: RAS: optional ras ta ucode is not available
Aug 11 20:13:54 adamsnb kernel: [drm] kiq ring mec 2 pipe 1 q 0
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB: values for F clock
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         400000 in kHz, 2874 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         933000 in kHz, 3224 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         1067000 in kHz, 3924 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         1200000 in kHz, 4074 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB: values for DCF clock
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         300000 in kHz, 2874 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         600000 in kHz, 3224 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         626000 in kHz, 3924 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] DM_PPLIB:         654000 in kHz, 4074 in mV
Aug 11 20:13:54 adamsnb kernel: [drm] Display Core initialized with v3.2.84!
Aug 11 20:13:55 adamsnb kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
Aug 11 20:13:55 adamsnb kernel: [drm] VCN decode and encode initialized successfully(under DPG Mode).
Aug 11 20:13:55 adamsnb kernel: kfd kfd: Allocated 3969056 bytes on gart
Aug 11 20:13:55 adamsnb kernel: amdgpu: Topology: Add APU node [0x15d8:0x1002]
Aug 11 20:13:55 adamsnb kernel: kfd kfd: added device 1002:15d8
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: SE 1, SH per SE 1, CU per SH 11, active_cu_number 8
Aug 11 20:13:55 adamsnb kernel: [drm] fb mappable at 0xC0BCA000
Aug 11 20:13:55 adamsnb kernel: [drm] vram apper at 0xC0000000
Aug 11 20:13:55 adamsnb kernel: [drm] size 8294400
Aug 11 20:13:55 adamsnb kernel: [drm] fb depth is 24
Aug 11 20:13:55 adamsnb kernel: [drm]    pitch is 7680
Aug 11 20:13:55 adamsnb kernel: fbcon: amdgpudrmfb (fb0) is primary device
Aug 11 20:13:55 adamsnb kernel: Console: switching to colour frame buffer device 240x67
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: fb0: amdgpudrmfb frame buffer device
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring gfx uses VM inv eng 0 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.0.0 uses VM inv eng 1 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.1.0 uses VM inv eng 4 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.2.0 uses VM inv eng 5 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.3.0 uses VM inv eng 6 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.0.1 uses VM inv eng 7 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.1.1 uses VM inv eng 8 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.2.1 uses VM inv eng 9 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring comp_1.3.1 uses VM inv eng 10 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring kiq_2.1.0 uses VM inv eng 11 on hub 0
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring sdma0 uses VM inv eng 0 on hub 1
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring vcn_dec uses VM inv eng 1 on hub 1
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring vcn_enc0 uses VM inv eng 4 on hub 1
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring vcn_enc1 uses VM inv eng 5 on hub 1
Aug 11 20:13:55 adamsnb kernel: amdgpu 0000:05:00.0: amdgpu: ring jpeg_dec uses VM inv eng 6 on hub 1
Aug 11 20:13:55 adamsnb kernel: [drm] Initialized amdgpu 3.38.0 20150101 for 0000:05:00.0 on minor 0
Comment 16 Adam Reichold 2020-08-11 18:22:27 UTC
(In reply to Takashi Iwai from comment #14)
> Also, it'd be appreciated if you can update the upstream gitlab issue
> accordingly.

Done.
Comment 17 Takashi Iwai 2020-08-12 06:31:15 UTC
Thanks.  So the loaded amdgpu firmware files are (without .xz):

/lib/firmware/amdgpu/picasso_asd.bin
/lib/firmware/amdgpu/picasso_ce.bin
/lib/firmware/amdgpu/picasso_gpu_info.bin
/lib/firmware/amdgpu/picasso_me.bin
/lib/firmware/amdgpu/picasso_mec2.bin
/lib/firmware/amdgpu/picasso_mec.bin
/lib/firmware/amdgpu/picasso_pfp.bin
/lib/firmware/amdgpu/picasso_rlc.bin
/lib/firmware/amdgpu/picasso_sdma.bin
/lib/firmware/amdgpu/picasso_ta.bin
/lib/firmware/amdgpu/picasso_vcn.bin
/lib/firmware/amdgpu/raven_dmcu.bin
Comment 18 Takashi Iwai 2020-08-12 06:35:59 UTC
The raven_dmcu.bin hasn't been changed recently, so it should suffice to revert only picasso_*.bin.
Comment 19 Takashi Iwai 2020-08-12 08:37:07 UTC
Now I updated OBS home:tiwai:branches:Kernel:HEAD/kernel-firmware again with the revert of Picasso firmware files.  (Also a bit modified for splitting adreno and prestage firmware subpackages, but it should be irrelevant with this bug.)

Could you give it a try and confirm that everything works?  Thanks!
Comment 20 Adam Reichold 2020-08-13 06:38:50 UTC
(In reply to Takashi Iwai from comment #19)
> Now I updated OBS home:tiwai:branches:Kernel:HEAD/kernel-firmware again with
> the revert of Picasso firmware files.  (Also a bit modified for splitting
> adreno and prestage firmware subpackages, but it should be irrelevant with
> this bug.)
> 
> Could you give it a try and confirm that everything works?  Thanks!

I tested kernel-firmware-amdgpu-20200807-332.1.noarch.rpm and things continue to work using that package. (I also provided some more requested information in the upstream bug.)
Comment 21 Adam Reichold 2020-08-13 06:39:19 UTC
(In reply to Takashi Iwai from comment #19)
> Now I updated OBS home:tiwai:branches:Kernel:HEAD/kernel-firmware again with
> the revert of Picasso firmware files.  (Also a bit modified for splitting
> adreno and prestage firmware subpackages, but it should be irrelevant with
> this bug.)
> 
> Could you give it a try and confirm that everything works?  Thanks!

I tested kernel-firmware-amdgpu-20200807-332.1.noarch.rpm and things continue to work using that package. (I also provided some more requested information in the upstream bug.)
Comment 22 Adam Reichold 2020-08-14 07:24:57 UTC
As per upstream request, I tried to manually load amdgpu after logging into a console using the new firmware which I manually downloaded from the official Git repositroy, and this actually producing a running system even though it complained about be unable to restore backlight settings.

I asked upstream how to proceed but do not that I cannot reproduce this anymore even when burning the new firmware into my initial ramdisk. So either something persistent in the system state changed, the backlight settings from the old firmware messed up the new one or the RPM build process introduces some issue with these firmware files. (I did check the ones from the TAR in home:tiwai:branches:Kernel:HEAD and those are identical to the ones I downloaded.)

I am not sure if Maximilian Trummer should try to do the same modprobe dance or whether we should try to keep one system the affected state and did ask upstream how to proceed.
Comment 23 Ingo Göppert 2020-10-12 16:11:28 UTC
I got the same issue with a 3700U in a Lenovo T495 with the latest tumbleweed snapshot 20201011. Rolled back to 20201007 the GPU works fine. I don't understand why in https://build.opensuse.org/package/show/openSUSE:Factory/kernel-firmware revision 151 the AMDGPU Picasso workaround was dropped, but this issue is still open. The firmware is still buggy and makes my laptop unusable.

Please tell me if I can give any debug output or test something.
Comment 24 Takashi Iwai 2020-10-12 16:25:54 UTC
This seems not relevant with the amdgpu firmware contents, but somehow the firmware files got screwed up.  See bug 1177428, the later comments discussing about this recent regression, not about the resume problem.  There it was confirmed that the latest 20.40 firmware worked for Picasso devices.

So, could you check the following?
- Uninstall kernel-firmware-amdgpu package once
  % zypper rm -u kernel-firmware-amdgpu

- Remove the stale files in /lib/firmware/amdgpu (if any)
  % rm -rf /lib/firmware/amdgpu

- Install the latest package from TW
  % zypper in kernel-firmware-amdgpu-20201005
Comment 25 Adam Reichold 2020-10-12 17:10:27 UTC
I actually have a similar issue again too, but it appears sufficiently different (w.r.t. log messages and system fan activity) that I reported it as a separate upstream bug at https://gitlab.freedesktop.org/drm/amd/-/issues/1329. But the timing w.r.t. dropping the old Picasso firmware admittedly looks a bit suspicious.


I am currently trying to narrow down the affected kernel version as per upstream request...
Comment 26 Adam Reichold 2020-10-12 17:34:34 UTC
Sadly, I have to report that my report as a separate issue was probably erroneous and downgrading the firmware package to 20200916-1.1 did fix the issue for me as well.
Comment 27 Adam Reichold 2020-10-12 18:02:47 UTC
At this point, I suspect something SUSE specific being the root cause here: While downgrading the firmware package did help and upgrading to kernel-firmware-20201005-337.1.noarch.rpm from https://build.opensuse.org/package/show/home:tiwai:branches:Kernel:HEAD/kernel-firmware did also work, just using the plain upstream amdgpu folder from https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git and dumping it into /lib/firmware/updates works as well. (I used firmware_class.dyndbg=+p to check that the update files I fetched directly via Git are loaded).
Comment 28 Adam Reichold 2020-10-12 18:09:41 UTC
(In reply to Adam Reichold from comment #27)
> At this point, I suspect something SUSE specific being the root cause here:
> While downgrading the firmware package did help and upgrading to
> kernel-firmware-20201005-337.1.noarch.rpm from
> https://build.opensuse.org/package/show/home:tiwai:branches:Kernel:HEAD/
> kernel-firmware did also work, just using the plain upstream amdgpu folder
> from
> https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
> and dumping it into /lib/firmware/updates works as well. (I used
> firmware_class.dyndbg=+p to check that the update files I fetched directly
> via Git are loaded).

I am sorry for spamming this bug report, really. But this is getting weirder still: I have no revert to a clean Tumbleweed 20201011-722.1 and everything still works. So booting into the old firmware once seems to restore the system until something unknown happens that breaks the new firmware?!
Comment 29 Ingo Göppert 2020-10-13 12:24:54 UTC
(In reply to Takashi Iwai from comment #24)
[...]
> So, could you check the following?
> - Uninstall kernel-firmware-amdgpu package once
>   % zypper rm -u kernel-firmware-amdgpu
> 
> - Remove the stale files in /lib/firmware/amdgpu (if any)
>   % rm -rf /lib/firmware/amdgpu

Directory was removed completely.

> 
> - Install the latest package from TW
>   % zypper in kernel-firmware-amdgpu-20201005

Done. Only the first time booting with the new firmware the external monitor was not working (internal was ok). I had to put the laptop out of the docking station and put it in again. Since then everything works fine. Done several reboots, no problems with the display anymore.

Thanks.
Comment 30 Andras Szerencses 2020-10-14 21:57:07 UTC
Created attachment 842643 [details]
After latest upgrade given Picasso graphics starts with nomodeset only

Is the problem on my system caused by the one in this bug report or should I report it separately?

With latest upgrade on openSUSE Tumbleweed I can boot the system with nomodeset only. This file is from the system with issue.
I did a full rollback so the next file below is about details of the working system before the upgrade.
Comment 31 Andras Szerencses 2020-10-14 22:10:30 UTC
Created attachment 842644 [details]
Before the latest upgrade given Picasso graphics was working fine

So this is my dmesg result with a rollback to the state when it was still working before the actual upgrade.
I'd note the upgraded system wouldn't work with with 5.8.12 kernel either what's actually working on the not upgraded booted system without nomodeset.
Let me know if I should try 5.8.10 kernel with upgraded system or what other info do you need if there is any?
Comment 32 Takashi Iwai 2020-10-15 06:15:30 UTC
Try the procedure in comment 24.  If it doesn't help, please open another bug report.
Comment 33 Andras Szerencses 2020-10-15 14:05:57 UTC
(In reply to Takashi Iwai from comment #32)
Thanks for the suggestion although I wouldn't remove stuff like this, in some cases newbies can totally break the system. Saving the stuff on another location is OK. With today's firmware upgrades the issue on my system was solved so seemingly it was some previously missed stuff by openSUSE I assume. Good luck with this Picasso case. Thanks again for the prompt response.
Comment 34 Miroslav Beneš 2022-01-07 13:25:37 UTC
Does the firmware issue still persist with the latest TW snapshot? Has there been any development?